Subject: bug#72580: 29.4; Viper does not handle changing cursor colour well

From: ZharMeny <[email-masked]>
Date: Sun, 11 Aug 2024 14:09:30 +0000

If you change the cursor colour with viper-mode enabled, it will use the
'remembered' cursor colour from the previous theme, which makes cursor
practically invisible if switching between dark and light themes.

Here's an `emacs -Q` reproduction:

  (load-theme 'modus-operandi)
  (viper-mode)
  (modus-themes-toggle)

The (internal) variable `viper-vi-state-cursor-color` seems to be the
culprit, as it remembers the cursor color of the theme that is no longer
active after the toggle.

This problem is not specific to modus-themes, any theme should work.